<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_content
 *
 * @copyright   Copyright (C) 2005 - 2020 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

/**
 * HTML Article View class for the Content component
 *
 * @since  1.5
 */
class Os_CCKViewCategory extends JViewLegacy
{
	protected $item;

	protected $params;

	protected $print;

	protected $state;

	protected $user;

	/**
	 * Execute and display a template script.
	 *
	 * @param   string  $tpl  The name of the template file to parse; automatically searches through the template paths.
	 *
	 * @return  mixed  A string if successful, otherwise an Error object.
	 */
	public function display($tpl = null)
	{
            global $db;
		$app        = JFactory::getApplication();
                $input      = $app->input;
                $Itemid = $input->get('Itemid', 0, 'INT');

                
                $lid = intval($input->get('lid', 0, 'INT'));
                $catid = $input->get('catid', 0, 'INT');
                
				// $lid = $params->get('all_instance_layout');
                  
                // if(!$catid){
                //   $catid = $params->get('category');
                // }

                Category::showCategory($input->get('option'), $catid,$lid);

	}

}
